Register

Registers a new customer to a license.

KEYZY can send an email to the customer with the license information. To do so, the settings for the connected SKU should be “true”.

POST https://api.keyzy.io/v2/licenses/register

Required parameters

ParameterTypeDescription
app_idstringAn app_id that has “write” permission
api_keystringAn api_key that has “write” permission
sku_numberstringA sku_number
namestringLicensee’s name
emailstringLicensee’s email address

Optional parameters

ParameterTypeDescription
typestringLicense’s type. ‘perpetual’, ‘subscription’ or ‘trial’

Required parameters if type is ‘subscription’ or ‘trial’

ParameterTypeDescription
start_atintLicense’s start time for validation. Unix timestamp.
end_atintLicense’s end time for validation. Unix timestamp.

Returns

Keyzy responds with a message containing a serial number if the request is correct.

{
  "message": {
    "serial": "1234-5678-89AB-CDEF-GHIJ"
  }
}